Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class CharKey

    java.lang.Object
      |
      +--org.apache.xml.utils.CharKey

public class CharKey
extends java.lang.Object

**For internal use only** Simple class for fast lookup of char values, when used with hashtables. You can set the char, then use it as a key.

Constructor Summary
`CharKey()` Default constructor for a CharKey.
`CharKey(char key)` Constructor CharKey

Method Summary
`boolean` | `equals(java.lang.Object obj)` Override of equals() for this object
`int` | `hashCode()` Get the hash value of the character.
`void` | `setChar(char c)` Get the hash value of the character.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharKey

    public CharKey(char key)

  Constructor CharKey
  Parameters:
    `key` - char value of this object.

### CharKey

    public CharKey()

  Default constructor for a CharKey.
  Parameters:
    `key` - char value of this object.

Method Detail

### setChar

    public final void setChar(char c)

  Get the hash value of the character.
  Returns:
    hash value of the character.

### hashCode

    public final int hashCode()

  Get the hash value of the character.
  Returns:
    hash value of the character.
  Overrides:
    hashCode in class java.lang.Object

### equals

    public final boolean equals(java.lang.Object obj)

  Override of equals() for this object
  Parameters:
    `obj` - to compare to
  Returns:
    True if this object equals this string value
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.